strings(1)

NAZWA
strings - drukuj łańcuchy drukowalnych znaków z plików

SKŁADNIA

strings
    [-a|- |--all] [-f|--print-file-name] [-o] [--help] [-v|--version] [-n min-len |-min-len |--bytes= min-len ] [-t {o,x,d} [--target=bfdname] |--radix= {o,x,d} ] plik

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Dla każdego podanego pliku, GNU strings drukuje drukowalne sekwencje znaków, mające co najmniej 4 znaki długości (lub liczbę podaną przez opcje, opisane niżej), za którymi następuje znak niedrukowalny. Domyślnie z plików obiektowych drukuje tylko łańcuchy zainicjalizowanych i ładowanych sekcji. Dla innych rodzajów plików, drukuje łańcuchy z całego pliku.

strings jest przydatny do określania zawartości nietekstowych plików.

OPCJE
Długie i krótkie opcje są równoważnymi alternatywami.

-a

--all

-   Nie skanuj tylko zainicjalizowanych i ładowanych sekcji plików obiektowych; skanuj całe.

-f

--print-file-name
    Drukuj nazwę pliku przed każdym stringiem.

--help
    Wydrukuj streszczenie opcji strings na stdout i zakończ.

-v

--version
    Wydrukuj numer wersji strings na stdout i zakończ.

-n min-len

-min-len

-bytes=min-len
    Drukuj sekwencje znaków, które mają przynajmniej min-len znaków, zamiast domyślnych 4.

-t {o,x,d}

--radix={o,x,d}
    Drukuj offset w pliku przed każdym łańcuchem. Pojedynczy argument znakowy określa format offsetu—ósemkowy, szesnastkowy, lub dziesiętny.

--target=bfdname
    Podaj format kodu obiektowego, inny niż domyślny format twojego systemu. Dla dalszych detali i listy dostępnych formatów, zobacz objdump(1).

-o  Jak -t o.

ZOBACZ TAKŻE
Opis `binutils' w info; The GNU Binary Utilities, Roland H. Pesch (October 1991); ar(1), nm(1), objdump(1), ranlib(1).

KOPIOWANIE
Copyright (c) 1993 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 strings

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.